<template>
<div>
  <div v-if="itemType ===0">
    <el-table id="items" :data="curLectureItems" @selection-change="handleSelectionChange" stype="width: 100% height: 200px">
      <el-table-column
        type="selection"
        width="55">
      </el-table-column>
      <el-table-column
        align="center"
        width="120"
        prop="name"
        :label="$t('ITEM.QUESTION')">
      </el-table-column>
      <el-table-column
        align="center"
        prop="question"
        :label="$t('GRADE.QUES_CONTENT')">
      </el-table-column>
    </el-table>

  </div>
 
  <el-button plain type="primary" style="margin-top:40px;" @click="onClick">{{ $t('GRADE.PRINT_GRADE') }}</el-button>
</div>
</template>
<script>
import { mapActions, mapState, mapGetters, mapMutations } from 'vuex';

export default {
  name: 'ReportLectureItem',
  props: ['itemType'],
  data() {
    return {
      multipleSelection: [],
      scoreChangedItemId: [],
    };
  },
  computed: {
    ...mapState('reporting', ['lectureList', 'curLectureItems', 'curLectureItems2', 'curStep', 'curLectureId']),
    ...mapGetters('NNclass', [
      'currentTeachingClass',
    ]),
    classId() {
      const vm = this;
      return Number.parseInt(vm.$route.params.classId, 10);
    },
  },
  methods: {
    ...mapActions('reporting', ['getLectureList', 'getLectureItemList', 'postLectureResult', 'getClassResult']),
    ...mapMutations('reporting', ['updateCurStep', 'updateCurState']),
    handleSelectionChange(val) {
      this.multipleSelection = val;
    },
    handleScoreChange(index) {
      const vm = this;
      vm.scoreChangedItemId.push(vm.curLectureItems[index].item_id);
    },
    async onClick() {
      const vm = this;
      if (vm.multipleSelection.length === 0) {
        vm.$notify({
          title: vm.$t('NOTIFY.ERROR'),
          message: vm.$t('NOTIFY.SLCT_CRS_PRINT'),
          type: 'error',
          duration: 0,
        });
        return;
      }
      const itemIdArr = [];
      vm.multipleSelection.forEach((element) => {
        itemIdArr.push(element.item_id);
      });
      this.$emit('child', itemIdArr);

      vm.updateCurState({ index: 1 });
    },
  },
};

</script>